<?
  ##########################################
## Автор: Говно кодырь -=ШАХТЕР=-           #  
## Сайт: http://masteram.us ICQ  : 46-92-90 #
### Версия 4.0 Лицензионная                 #
## Данная версия скрипта являлась ПЛАТНОЙ,  #
## вы НЕ ИМЕЛИ ПРАВА распрострянять данный  #
## скрипт или какие-либо части его кода...  #
## А ТЕПЕРЬ СВСЕМ НА ЭТО ПОХУЙ!!!)))        #
  #########################################

require'../config.php';
$align='left';
$title='Установка VobljaChat by -=ШАХТЕР=- Версия: '.$versiya;


//Функция определения прав доступа (CHMOD)
function permissions($filez){
$filez = decoct(fileperms("$filez")) % 1000;
return $filez;
}
////

switch ($mod)
{

default :
$head = 'Установка VobljaChat by -=ШАХТЕР=- Версия: '.$versiya.'<br />Шаг 1 | От автора';
head();
echo '<big><b>ПЕРЕД УСТАНОВКОЙ ОЗНАКОМТЕСЬ С <a href="'.H.'README.txt">README</a>!</b></big><br />';
echo '<big><b>От автора:</b></big><br />';

echo '<br />Данная версия является лицензионной, вы не имеете распространять её или какие-либо части её кода, иначе вы будите лишены обновлений и поддержки автора.<br />';

echo '<br /><a href="?mod=2">ПРИСТУПИТЬ К УСТАНОВКЕ</a>';
break;

case '2':
$head = 'Установка VobljaChat by -=ШАХТЕР=-<br />Шаг 2 | Проверка CHMOD папок и файлов';
head();
if(file("../.htaccess")){
echo '<font color="#008000">Файл .htaccess задействован</font><br/>';
}else{
echo '<font color="#008000">Нет файла .htaccess! Залейте немедленно!</font><br/>';
}

/// files/shaxty_antiflood.dat/
if (permissions(H.'files/shaxty_antiflood.dat')<777)
{
$err=true;
echo '<font color="#FF0000">/files/shaxty_antiflood.dat [<b>'.permissions(H.'files/shaxty_antiflood.dat').'</b>] - ><b>777</b> Запись не возможна!</font><br />';
}else{
echo '<font color="#008000">/files/shaxty_antiflood.dat - > <b>'.permissions(H.'files/shaxty_antiflood.dat').'</b> Запись разрешена</font><br />';
}

/// files/photos/
if (permissions(H.'files/photos/')<777)
{
$err=true;
echo '<font color="#FF0000">/files/photos/ [<b>'.permissions(H.'files/photos/').'</b>] - ><b>777</b> Запись не возможна!</font><br />';
}else{
echo '<font color="#008000">/files/photos/ - > <b>'.permissions(H.'files/photos/').'</b> Запись разрешена</font><br />';
}
///////////

/// files/stena/
if (permissions(H.'files/stena/')<777)
{
$err=true;
echo '<font color="#FF0000">/files/stena/ [<b>'.permissions(H.'files/stena/').'</b>] - ><b>777</b> Запись не возможна!</font><br />';
}else{
echo '<font color="#008000">/files/stena/ - > <b>'.permissions(H.'files/stena/').'</b> Запись разрешена</font><br />';
}
///////////

/// files/album/
if (permissions(H.'files/album/')<777)
{
$err=true;
echo '<font color="#FF0000">/files/album/ [<b>'.permissions(H.'files/album/').'</b>] - ><b>777</b> Запись не возможна!</font><br />';
}else{
echo '<font color="#008000">/files/album/ - > <b>'.permissions(H.'files/album/').'</b> Запись разрешена</font><br />';
}
///////////
/*/// files/dataddos/
if (permissions(H.'files/dataddos/')<777)
{
$err=true;
echo '<font color="#FF0000">/files/dataddos/ [<b>'.permissions(H.'files/dataddos/').'</b>] - ><b>777</b> Запись не возможна!</font><br />';
}else{
echo '<font color="#008000">/files/dataddos/ - > <b>'.permissions(H.'files/dataddos/').'</b> Запись разрешена</font><br />';
}
///////////*/
/// files/forum/
if (permissions(H.'files/forum/')<777)
{
$err=true;
echo '<font color="#FF0000">/files/forum/ [<b>'.permissions(H.'files/forum/').'</b>] - ><b>777</b> Запись не возможна!</font><br />';
}else{
echo '<font color="#008000">/files/forum/ - > <b>'.permissions(H.'files/forum/').'</b> Запись разрешена</font><br />';
}
///////////
/// files/audio/
if (permissions(H.'files/audio/')<777)
{
$err=true;
echo '<font color="#FF0000">/files/audio/ [<b>'.permissions(H.'files/audio/').'</b>] - ><b>777</b> Запись не возможна!</font><br />';
}else{
echo '<font color="#008000">/files/audio/ - > <b>'.permissions(H.'files/audio/').'</b> Запись разрешена</font><br />';
}
///////////
/// files/video/
if (permissions(H.'files/video/')<777)
{
$err=true;
echo '<font color="#FF0000">/files/video/ [<b>'.permissions(H.'files/video/').'</b>] - ><b>777</b> Запись не возможна!</font><br />';
}else{
echo '<font color="#008000">/files/video/ - > <b>'.permissions(H.'files/video/').'</b> Запись разрешена</font><br />';
}
///////////
/// files/groups/
if (permissions(H.'files/groups/')<777)
{
$err=true;
echo '<font color="#FF0000">/files/groups/ [<b>'.permissions(H.'files/groups/').'</b>] - ><b>777</b> Запись не возможна!</font><br />';
}else{
echo '<font color="#008000">/files/groups/ - > <b>'.permissions(H.'files/groups/').'</b> Запись разрешена</font><br />';
}
///////////
/// files/groups/logo/
if (permissions(H.'files/groups/logo/')<777)
{
$err=true;
echo '<font color="#FF0000">/files/groups/logo/ [<b>'.permissions(H.'files/groups/logo/').'</b>] - ><b>777</b> Запись не возможна!</font><br />';
}else{
echo '<font color="#008000">/files/groups/logo/ - > <b>'.permissions(H.'files/groups/logo/').'</b> Запись разрешена</font><br />';
}
///////////
/// fo/groups/
if (permissions(H.'fo/files/')<777)
{
$err=true;
echo '<font color="#FF0000">/fo/files/ [<b>'.permissions(H.'fo/files/').'</b>] - ><b>777</b> Запись не возможна!</font><br />';
}else{
echo '<font color="#008000">/fo/files/ - > <b>'.permissions(H.'fo/files/').'</b> Запись разрешена</font><br />';
}
///////////

echo '<br /><a href="?mod=3">Шаг 3 Установка таблиц</a>';
break;

case '3':
$head = 'Установка VobljaChat by -=ШАХТЕР=- Версия: '.$versiya.'<br />Шаг 3 | Установка таблиц';
head();

if(!($db=@mysql_connect(DB_host, DB_user,DB_pass)))
{echo '<b>Нет соединения с сервером базы<br />*проверьте параметры подключения </b><br />';}elseif (!@mysql_select_db(DB_db,$db)){
echo '<b> Нет соединения с базой<br />*проверьте, существует ли данная база </b>';
exit;
}
else
{
$kod = check($_POST['kod']);
if (empty($kod)){

echo 'Выберите кодировку таблиц:<br />';
if ($ver!='wml')echo '<form action="?mod='.$mod.'&amp;'.SID.'" method="post">';
echo '<select name="kod">
<option value="MySQL_cp1251">MySQL_cp1251</option>
<option value="MySQL_utf8">MySQL_utf8</option>
</select><br/>Если после установки замените проблемы с кодировкой в чате, удалите таблицы из БД и залейте таблицы с другой кодировкой.<br />';
if ($ver=='wml'){
echo '<br /><anchor title="go">Импорт<go href="?mod='.$mod.'&amp;'.SID.'" method="post"><br />';
echo '<postfield name="kod" value="$kod"/>
</go></anchor><br /><br />';
}else{
echo '<input type="submit" class="ibutton" value="Импорт" class="cp"><br />';
}
}else{

include_once 'zip.php';
$zip = new PclZip($kod.'.zip');
$content = $zip->extract(PCLZIP_OPT_BY_NAME, $kod.".sql" ,PCLZIP_OPT_EXTRACT_AS_STRING);
$sql=split(";(\r|\n)", $content[0]['content']);
$ok_sql=0;

for ($i=0;$i<count($sql);$i++)
{if (mysql_query($sql[$i])) {$ok_sql++;}}
if($ok_sql>0)echo '<b>Таблицы установлены</b>';
else echo '<b>Таблицы не установлены, возможно вы уже их устанавливали ранее.</b>';
echo '<br /><a href="?mod=4">Шаг 4 Импорт вопросов</a>';

}
}



break;

case '4':
$head = 'Установка VobljaChat by -=ШАХТЕР=- Версия: '.$versiya.'<br />Шаг 4 | Импорт вопросов';
head();

mysql_query("truncate table `question`");
include_once 'zip.php';
$zip = new PclZip('import.zip');
$content = $zip->extract(PCLZIP_OPT_BY_NAME, "vopros.txt" ,PCLZIP_OPT_EXTRACT_AS_STRING);
$file = split("
", $content[0]['content']);
for($i=0;$i<count($file);$i++) {
$ex=explode("::",$file[$i]);
$tran=rus_to_k($ex[1]);
@mysql_query ("Select * from question");
$k = mysql_affected_rows()+1;
mysql_query ("Insert into question set number= '".$k."', vopros='".check($ex[0])."', answer='".check($ex[1])."',  tran='".$tran."'");
$count = count($file);
}
echo 'Успешно загружено вопросов: '.$count;

echo '<br /><a href="?mod=5">Шаг 5 Импорт анекдотов</a>';
break;

case '5':
$head = 'Установка VobljaChat by -=ШАХТЕР=- Версия: '.$versiya.'<br />Шаг 5 | Импорт анекдотов';
head();

mysql_query("truncate table `anekdot`");
include_once 'zip.php';
$zip = new PclZip('import.zip');
$content = $zip->extract(PCLZIP_OPT_BY_NAME, "anekdot.txt" ,PCLZIP_OPT_EXTRACT_AS_STRING);
$file = split("
", $content[0]['content']);
for($i=0;$i<count($file);$i++) {
mysql_query("insert into `anekdot` values(0,'".check($file[$i])."','6');");
$count = count($file);
}

echo 'Успешно загружено анекдотов: '.$count;
echo '<br /><a href="?mod=6">Шаг 6 Импорт шуток</a>';
break;

case '6':
$head = 'Установка VobljaChat by -=ШАХТЕР=- Версия: '.$versiya.'<br />Шаг 6 | Импорт шуток';
head();
mysql_query("truncate table `shutki`");
include_once 'zip.php';
$zip = new PclZip('import.zip');
$content = $zip->extract(PCLZIP_OPT_BY_NAME, "shutki.txt" ,PCLZIP_OPT_EXTRACT_AS_STRING);
$file = split("
", $content[0]['content']);
for($i=0;$i<count($file);$i++) {
mysql_query("insert into `shutki` values(0,'".check($file[$i])."');");
$count = count($file);
}

echo 'Успешно загружено шуток: '.$count;

echo '<br /><a href="?mod=7">Шаг 7 Импорт Фраз для Клазнета знатоков</a>';

break;


case '7':
$head = 'Установка VobljaChat by -=ШАХТЕР=- Версия: '.$versiya.'<br />Шаг 7 | Импорт Фраз для Клазнета знатоков';
head();

mysql_query("truncate table `frazi`");
include_once 'zip.php';
$zip = new PclZip('import.zip');
$content = $zip->extract(PCLZIP_OPT_BY_NAME, "frazi.txt" ,PCLZIP_OPT_EXTRACT_AS_STRING);
$file = split("
", $content[0]['content']);
for($i=0;$i<count($file);$i++) {
mysql_query("insert into `frazi` values(0,'".$file[$i]."');");
$count = count($file);
}
echo 'Успешно загружено Фраз: '.$count;
echo '<br /><a href="?mod=8">Шаг 8 КОНЕЦ УСТАНОВКИ</a>';
break;

case '8':
$head = 'Установка VobljaChat by -=ШАХТЕР=- Версия: '.$versiya.'<br />Шаг 8 | КОНЕЦ УСТАНОВКИ';
head();
echo '<big><b>Чат успешно установлен!</b></big><br />';

echo '<b>Не забудте удалить папку install!</b><br />';

echo '<br /><a href="/reg">Регистрация Админа</a>';
break;

case 'editp':


break;

case 'cit':

break;

case 'files':

break;

case 'down':

break;

case 'bookmarks':

break;


}



echo gb.'<a href="'.H.'index">Главная</a>'.div;

foot();
?>